<ion-header>
  <ion-toolbar>
    <ion-title  color="primary">Dolencias</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  
  <div *ngFor="let dolencia of dolencias"  >
    <h2 (click)="toggleDetails(dolencia.identificador)">
      {{ dolencia.dolencia }}
      <ion-icon [name]="dolencia.mostrar ? 'remove-circle-outline' : 'add-circle-outline'" color="primary"></ion-icon>      
    </h2>
    <div [ngClass]="dolencia.mostrar ? 'active' : 'inactive' ">      
      <ion-card>
        <ion-card-header>
          <ion-card-title>Descripción</ion-card-title>
        </ion-card-header>

        <ion-card-content>
          <div [innerHTML] ="dolencia.contenido" ></div>
                   
        </ion-card-content>
        <ion-button color="primary" (click)="verPlantas(dolencia.identificador)">Ver plantas</ion-button>
      </ion-card>      
    </div>
  </div>
</ion-content>